Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80081 - clurmtabd doesn't sync export subdirectories
Summary: clurmtabd doesn't sync export subdirectories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager
Version: 2.1
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-19 18:34 UTC by Lon Hohberger
Modified: 2008-05-01 15:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 23:17:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:314 normal SHIPPED_LIVE Updated clumanager package fixes total cluster outage and NFS problems 2003-02-07 15:19:58 UTC

Description Lon Hohberger 2002-12-19 18:34:46 UTC
Description of problem:
If a service is specified with a given NFS export:

/export

and an authorized client mounts:

/export/dir1

then the /var/lib/nfs/rmtab entry:

client:/export/dir1:0x00000001

does not get synchronized across the cluster, causing ESTALE in the event of
fail-over or manual relocation.

Version-Release:    1.0.16-7
How reproducible:   Always

Steps to Reproduce:
1. Create a clumanager service with an NFS export "/export", available to world
(*) with any mount options.
2. Create a directory "/export/dir1"
3. Mount the NFS mount "/export/dir1" on any authorized client.
4. Power-cycle the active cluster server.
    
Actual results:
Client which has /export/dir1 mounted receives ESTALE, even if it also has
/export mounted (for which, it does NOT receive ESTALE!).

Expected results:
Seamless transition.

Comment 1 Lon Hohberger 2002-12-20 13:57:18 UTC
Have a fix for this and memory consumption.  Ironing out bugs.

Comment 2 Lon Hohberger 2002-12-20 16:40:05 UTC
Testing mostly done.  The build has these features:

- Performance an order of magnitude faster (was testing merges/reads/syncs on
your 13K-line file plus my 4K-line file).
- Memory consumption (while using just the 13K-line file) is about 10% of what
it was.
- Subdirectories sync properly.


Comment 3 Lon Hohberger 2002-12-20 19:35:14 UTC
Fix in pool.  Test away!

Comment 4 Lon Hohberger 2002-12-20 19:36:57 UTC
Wrong status field; hours updated.

Comment 5 Jim Strong 2002-12-23 16:38:39 UTC
We have been running with clumanager-1.0.19-1suny.i386.rpm in place for about 60
hours now, 4 NFS servers, 2000 clients, active/active with multiple exports per
service, and this seems to work fine at this point.  Service start/stop/relocate
is fast, and no ESTALE on server failure or manual service relocate.
Thanks!

Comment 6 John Flanagan 2003-02-13 23:17:27 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-314.html



Note You need to log in before you can comment on or make changes to this bug.